# OgreHighLevelGpuProgram.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreGpuProgram.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::HighLevelGpuProgram
| Abstract base class representing a high-level program (a vertex or fragment program). More...
class | Ogre::HighLevelGpuProgramPtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to HighLevelGpuProgramPtr. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:05 2008